<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 */

get_header(); 
global $evenio_option;
?>
</div>

<?php  get_template_part( 'inc/page-header/breadcrumbs-event' ); ?>

<!-- Portfolio Detail Start -->
<div class="rs-porfolio-details events-details">
	<div class="main-content"> 
	    <div class="container">
    	<div id="content">
	      	<?php while ( have_posts() ) : the_post();
		      	$best_wp = new wp_Query(array(
		      	    'post_type' => 'events'  
		      	)); 
		      	$event_meta = carbon_get_the_post_meta('event_data');
		     	//take metafield value
				$ev_start_date 		= get_post_meta(  get_the_ID(), 'ev_start_date', true );
				$ev_end_date   		= get_post_meta(  get_the_ID(), 'ev_end_date', true );
				$ev_start_time 		= get_post_meta(  get_the_ID(), 'ev_start_time', true );
				$ev_end_time   		= get_post_meta(  get_the_ID(), 'ev_end_time', true );
				$ev_location   		= get_post_meta ( get_the_ID(), 'ev_location', true);	
				$event_book_btn   	= get_post_meta ( get_the_ID(), 'event_book_btn', true);	
				$event_book_btn_link   	= get_post_meta ( get_the_ID(), 'event_book_btn_link', true);	

				$register_txt_meta = get_post_meta ( get_the_ID(), 'register_txt_meta', true); 
				$register_link_meta = get_post_meta ( get_the_ID(), 'register_link_meta', true);

				if($evenio_option['time_format'] == 24){
					$ev_start_time = date("H:i", strtotime($ev_start_time)); 
					$ev_end_time   = date("H:i", strtotime($ev_end_time));
				}	    		
		  	?>
	      	<div class="row">
		        <div class="col-lg-8 col-md-12">
		          <div class="ps-image">
		            <?php the_post_thumbnail('evenio-single-images'); ?>
		          </div>
		        </div>
		        <div class="col-lg-4 col-md-12">
		         	<div class="course-features-info">
		         		<?php if(!empty($evenio_option['event_info'])):?>
        					<h3 class="title"> <?php echo esc_html($evenio_option['event_info']);?></h3>
        				<?php endif;?>
			            <ul>
			            	<?php if(!empty($ev_start_date)): ?>
				                <li class="lectures-feature">
				                    <i class="fa fa-calendar"></i>
				                    <span class="label"><?php esc_html_e('Start Date', 'evenio');?></span>
				                    <span class="value"><?php echo esc_html($ev_start_date);?></span>
				                </li>
				            <?php endif; ?>    
			               
			                <?php if(!empty($ev_start_time)): ?>
				                <li class="lectures-feature">
				                    <i class="fa fa-clock-o"></i>
				                    <span class="label"><?php esc_html_e('Start Time', 'evenio');?></span>
				                    <span class="value"><?php echo esc_html($ev_start_time);?></span>
				                </li>
				            <?php endif; ?> 

				            <?php if(!empty($ev_end_date)): ?>
				                <li class="lectures-feature">
				                    <i class="fa fa-calendar"></i>
				                    <span class="label"><?php  esc_html_e('End Date', 'evenio');?></span>
				                    <span class="value"><?php echo esc_html($ev_end_date);?></span>
				                </li>
				            <?php endif; ?>

				            <?php if(!empty($ev_end_time)): ?>
				                <li class="lectures-feature">
				                    <i class="fa fa-clock-o"></i>
				                    <span class="label"><?php  esc_html_e('End Time', 'evenio');?></span>
				                    <span class="value"><?php echo esc_html($ev_end_time);?></span>
				                </li>
				            <?php endif; ?> 

				            <?php if(!empty($ev_location)): ?>
				                <li class="lectures-feature">
				                    <i class="fa fa-map-marker"></i>
				                    <span class="label"><?php esc_html_e('Location', 'evenio');?></span>
				                    <span class="value"><?php echo esc_html($ev_location);?></span>
				                </li>
				            <?php endif; ?> 		               
			            </ul>
			            <div class="rs-btn">
			            	<?php if(!empty($register_link_meta) || !empty($register_txt_meta)){ ?>
			            	<a href="<?php echo esc_url($register_link_meta);?>" class="rs_button"><span class="btn_text"> <?php echo esc_html($register_txt_meta); ?></span> </a>
				            <?php } else { ?>
				            	<a href="<?php echo esc_url($event_book_btn_link);?>" class="rs_button"><span class="btn_text"> 
				            		<?php if(!empty($event_book_btn)){ ?>
				            		<?php echo esc_html($event_book_btn); ?>
				            	<?php } else { 
				            		echo esc_html__('Book Now', 'evenio');
				            	} ?>
				            	</span> </a>
				            <?php } ?>
			            </div>
       				 </div>
	      		</div>
	      	</div>
		    <div class="event-desc">        
		        <?php the_content(); ?>
		    </div>
   
    <div id="rs-events-schedule" class="rs-events-schedule rs-events-schedule4">    
        <div class="row">
            <div class="col-md-12">
                <div class="events-schedule-tabs">
                    <ul class="nav eventday-list">
                       <?php   // loop through the rows of data
                        $d = 1;
                        foreach ( $event_meta as $value ) { 
                                                                    
                        ?>
                        <li class="nav-item">
                            <a class="nav-link <?php if($d == 1): echo 'active'; endif;?> ed_day-<?php echo esc_attr($d); ?>" data-toggle="tab" href="#ed_day-<?php echo esc_attr($d); ?>"><?php echo wp_kses($value['day_title'], 'evenio'); ?> <span><?php echo wp_kses($value['event_day'], 'evenio'); ?></span></a>
                        </li>                    
                        <?php
                            $d++;
                        }
                        ?>                     
                    </ul>                
                    
                    <div class="events-schedule-contents tab-content">

                        <?php   // loop through the rows of data
                        $d1 = 1;                   

                        foreach ( $event_meta as $event ) { 
                            ?>
                            <div class="tab-pane events-shedule-des <?php if($d1 == 1): echo 'active show'; endif;?>" id="ed_day-<?php echo esc_attr($d1); ?>">
                                <div class="events-shedule-subitmes">
                                    <table class="schedule-3">
                                        <tr>                                       
                                            <th><?php esc_html_e('Topics', 'evenio');?></th>                                        
                                            <th><?php esc_html_e('Speakers', 'evenio');?></th>                                        
                                            <th><?php esc_html_e('Time', 'evenio');?></th>                                       
                                            <th><?php esc_html_e('Venue', 'evenio');?></th>                                   
                                        </tr>
	                                    <?php   
	                                    foreach ($event['speaker_data'] as $speaker) {

	                                    ?>
	                                        <tr>
	                                            <td style="color:<?php echo wp_kses_post($speaker['topic__title_color']); ?>">                                            
	                                                <?php echo esc_html($speaker['topic__title']); ?>                                            
	                                            </td>
	                                            <td class="speak__image_td">
	                                                <?php                                            
	                                                    foreach ( $speaker['speaker_name'] as $single_speaker ){                                                   
															$speak_id     = $single_speaker['id'];
															$sepak_bg     = get_post_meta( $speak_id, 'speakerbg_color', true);         
															$speak_data   = get_post( $speak_id );
															$speak_name   = $speak_data->post_title;
															$speak_link   = get_the_permalink($speak_id);
															$speak_img    = get_the_post_thumbnail_url($speak_id, array( 100, 100));
															$designation  = get_post_meta($speak_id, 'designation', true);
															$thumbnail_id = get_post_thumbnail_id( $speak_id );
															$img_alt      = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);  
	                                                     
	                                                     if ($speak_img) { ?>                                          
	                                                     <div class="speak__image">
	                                                         <a href="<?php echo esc_url($speak_link) ;?>">
	                                                             <img data-toggle="tooltip" data-placement="top" title="<?php echo esc_html($speak_name);?>" src="<?php echo esc_url($speak_img) ?>" alt="<?php if ($img_alt) { echo esc_html($img_alt); } else { echo esc_html($speak_name); } ?>">
	                                                         </a>                                               
	                                                     </div>                                              
	                                                <?php   
	                                                    }}
	                                                ?> 
	                                            </td>
	                                            <td><?php echo esc_html($speaker['event_time']); ?></td>
	                                            <td><?php echo  esc_html($speaker['room_no']); ?></td>
	                                        </tr>                                                                                         
	                                    <?php                       
	                                    }?> 
                                    </table>                                 
                                </div>                            
                            </div>    
                       <?php  
                       $d1++;
                        } ?>
                    </div>
            </div>
        </div>
    </div>

	<div class="event_map">
        <iframe width="100%" height="400"
		    src="https://maps.google.com/maps?q= <?php echo esc_attr($ev_location); ?> &t=&z=14&ie=UTF8&iwloc=&output=embed"
		    frameborder="0" scrolling="no" marginheight="0" marginwidth="0">
		</iframe>
	</div>

    <?php
        get_template_part( 'pagination');
    ?>
    <?php endwhile; 
  		wp_reset_query();
    ?>
    </div>
  </div>
	</div>
</div>


<!-- Portfolio Detail End -->
<?php
get_footer();